Replace a task mock
Replaces an existing task mock with the provided details.
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
mockId
The unique identifier of the task mock to replace
Request
mock
name
The name of the mock task
serviceType
Whether or not the mock is for an adapter or application service
Allowed values:
serviceName
The adapter or application service name that contains the method to mock
method
The name of the method that is being mocked
finishState
The finish state of the mock
Allowed values:
description
A description of the mock task
delay
The number of seconds to delay the completion of the mock
response
The response for the mock that matches the return value for the task method
Response
The updated task mock object
_id
The unique identifier for the mock task
name
The name of the mock task
description
A description of the mock task
serviceType
Whether or not the mock is for an adapter or application service
Allowed values:
serviceName
The adapter or application service name that contains the method to mock
method
The name of the method that is being mocked
finishState
The finish state of the mock
Allowed values:
delay
The number of seconds to delay the completion of the mock
response
The response for the mock that matches the return value for the task method
created
The date and time when the mock was created
createdBy
The id of user who created the mock task
lastUpdated
The date and time when the mock was last updated
lastUpdatedBy
The id of user who last updated the mock task
Errors
500
Internal Server Error